%define debug_package %{nil}

%bcond_with bootstrap

Summary:	The Rust package manager
Name:		cargo
Version:	0.21.0
Release:	2
License:	MIT
Group:		Development/Rust
Url:		http://www.rust-lang.org/
Source0:	https://github.com/rust-lang/cargo/archive/%{name}-%{version}.tar.gz
Source10:	https://static.rust-lang.org/dist/cargo-%{version}-i686-unknown-linux-gnu.tar.gz
Source11:	https://static.rust-lang.org/dist/cargo-%{version}-x86_64-unknown-linux-gnu.tar.gz
# Use vendored crate dependencies so we can build offline.
# Created using https://github.com/alexcrichton/cargo-vendor/ 0.1.7
# Or can be taken from Fedora package
Source100:	%{name}-%{version}-vendor.tar.xz
%if %{without bootstrap}
BuildRequires:	cargo >= 0.13.0
%endif
BuildRequires:	cmake
BuildRequires:	curl
BuildRequires:	rust
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)

%description
Cargo downloads your Rust project’s dependencies and compiles your project.

%files
%{_bindir}/cargo

#----------------------------------------------------------------------------

%prep
%setup -q

%if %{with bootstrap}
%ifarch x86_64
%define cargo_arch x86_64
tar xf %{SOURCE11}
%else
%define cargo_arch i686
tar xf %{SOURCE10}
%endif
%define local_cargo cargo-%{version}-%{cargo_arch}-unknown-linux-gnu/cargo/bin/cargo
%else
%define local_cargo %{_bindir}/cargo
%endif

# vendored crates
tar xf %{SOURCE100}

# define the offline registry
%define cargo_home $PWD/.cargo
mkdir -p %{cargo_home}
cat >.cargo/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'

[source.vendored-sources]
directory = '$PWD/vendor'
EOF

%build
export CARGO_HOME="%{cargo_home}"

%{local_cargo} build --release

%install
export CARGO_HOME="%{cargo_home}"

%{local_cargo} install --root %{buildroot}%{_prefix}
rm %{buildroot}%{_prefix}/.crates.toml


%changelog
